/**
 * 
 */
package com.as.lyons.res.svc.aoa.client;

import org.springframework.web.client.RestTemplate;

/**
 * Common interface for calling a method on the ATM REST service.
 * 
 * @author pgurov
 *
 */
public interface AoaServiceCall {
	/**
	 * Prints the arguments help for the particular method.
	 * @param loginProps
	 * @param method
	 */
	void printHelp(LogonProperties loginProps, String method);
	/**
	 * Calls the ATM REST service using the particular method.
	 * 
	 * @param rt
	 * @param loginProps
	 * @param method
	 * @param args
	 * @throws StopProcesingException
	 */
	void call(RestTemplate rt, LogonProperties loginProps, String method, String[] args) throws StopProcesingException;
}
