/**
 * 
 */
package com.as.lyons.res.svc.aoa.client;

import java.util.Map;

import org.springframework.web.client.RestTemplate;

/**
 * @author pgurov
 *
 */
public class HelpAoaServiceCall implements AoaServiceCall {

	@Override
	public void printHelp(LogonProperties loginProps, String method) {
		AoaServiceCall svcMethod = null;
		if(loginProps != null) {
			Map<String, AoaServiceCall> svcMethods = loginProps.getSvcMethods();
			if(svcMethods != null && method != null) {
				svcMethod = svcMethods.get(method);
			}
		}
		if(svcMethod == null || svcMethod == this) {
			System.out.println("Please run the program without any arguments to see general help!");
		} else {
			svcMethod.printHelp(loginProps, method);
		}
		
	}

	@Override
	public void call(RestTemplate rt, LogonProperties loginProps, String method, String[] args)
			throws StopProcesingException {
		String svcMethod = "";
		if(args != null && args.length > 0) {
			svcMethod = args[0];
		}
		printHelp(loginProps, svcMethod);
	}

}
